%define upstream_name    Socket
%define upstream_version 2.021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Defines socket-related constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Constant) >= 0.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module is just a translation of the C _socket.h_ file. Unlike the old
mechanism of requiring a translated _socket.ph_ file, this uses the *h2xs*
program (see the Perl source distribution) and your native C compiler. This
means that it has a far more likely chance of getting the numbers right.
This includes all of the commonly used pound-defines like AF_INET,
SOCK_STREAM, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.21.0-2.mga6
+ Revision: 1033193
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 2.21.0-1.mga6
+ Revision: 911373
- New version 2.021

* Sun Jul 05 2015 sander85 <sander85> 2.20.0-1.mga6
+ Revision: 851502
- update to 2.020

* Fri Jun 26 2015 tv <tv> 2.19.0-2.mga6
+ Revision: 845287
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.19.0-1.mga6
+ Revision: 841654
- update to 2.019

* Wed Oct 15 2014 umeabot <umeabot> 2.15.0-4.mga5
+ Revision: 750929
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.15.0-3.mga5
+ Revision: 733381
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.15.0-2.mga5
+ Revision: 686203
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 2.15.0-1.mga5
+ Revision: 664030
- update to 2.015

* Wed Jun 04 2014 sander85 <sander85> 2.14.0-1.mga5
+ Revision: 632929
- update to 2.014

* Tue Jun 03 2014 pterjan <pterjan> 2.13.0-3.mga5
+ Revision: 631665
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.13.0-2.mga5
+ Revision: 588011
- rebuild after perl 5.18.2

* Tue Feb 04 2014 shlomif <shlomif> 2.13.0-1.mga5
+ Revision: 581306
- update to 2.013

* Sat Oct 19 2013 umeabot <umeabot> 2.12.0-2.mga4
+ Revision: 534028
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 2.12.0-1.mga4
+ Revision: 476072
- update to 2.012

* Sun Jul 28 2013 sander85 <sander85> 2.11.0-1.mga4
+ Revision: 459988
- update to 2.011

* Thu Jun 27 2013 shlomif <shlomif> 2.10.0-1.mga4
+ Revision: 447587
- update to 2.010

* Wed May 29 2013 shlomif <shlomif> 2.9.0-1.mga4
+ Revision: 432390
- update to 2.009

* Wed May 29 2013 jquelin <jquelin> 2.8.0-4.mga4
+ Revision: 430938
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.8.0-3.mga3
+ Revision: 405545
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 372656
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 2.8.0-1.mga3
+ Revision: 338096
- update to 2.008

* Tue Dec 18 2012 shlomif <shlomif> 2.7.0-1.mga3
+ Revision: 332423
- update to 2.007

* Wed Nov 07 2012 jquelin <jquelin> 2.6.0-3.mga3
+ Revision: 315578
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.6.0-2.mga3
+ Revision: 294861
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.6.0-1.mga3
+ Revision: 284604
- update to 2.006

* Fri Jun 08 2012 kharec <kharec> 2.2.0-1.mga3
+ Revision: 257899
- update to 2.002

* Sat Jun 02 2012 kharec <kharec> 2.1.0-1.mga3
+ Revision: 253288
- update to 2.001

* Wed May 30 2012 jquelin <jquelin> 1.990.0-2.mga3
+ Revision: 251106
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 1.990.0-1.mga2
+ Revision: 211833
- update to 1.99

* Tue Feb 21 2012 kharec <kharec> 1.980.0-1.mga2
+ Revision: 211719
- update to 1.98

* Sat Dec 17 2011 kharec <kharec> 1.970.0-1.mga2
+ Revision: 183022
- update to 1.97

* Sun Dec 11 2011 kharec <kharec> 1.960.0-1.mga2
+ Revision: 180572
- update to 1.96

* Wed Dec 07 2011 kharec <kharec> 1.950.0-1.mga2
+ Revision: 178539
- Correct BR
- imported package perl-Socket


* Wed Dec 07 2011 cpan2dist 1.95-1mga
- initial mageia release, generated with cpan2dist
